<template>
    <lightning-card
        title="This will also search Maestro Care for duplicates."
        icon-name="custom:custom57"
    >
        <div class="slds-var-m-around_medium">
        <legend class="slds-form-element__legend slds-form-element__label strong text" style="font-size: 16px;">    
        <abbr class="slds-required" title="required">*</abbr>Date of Birth</legend>
            <lightning-input
                type="date"
                data-id="dob"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="Date of Birth"
                variant="label-hidden"
                value={dob}
                required name="Date of Birth"
                message-when-value-missing="Date of Birth is required"
            > </lightning-input>
            <!--<legend class="slds-form-element__legend slds-form-element__label strong text" style="font-size: 16px;">Title</legend>
            <lightning-combobox
                name="salutation"
                data-id="title"
                label="Title"
                value={title}
                placeholder=""
                options={titleOptions}
                onchange={handleTitleSuffixChange} 
                variant="label-hidden"
                ></lightning-combobox>-->
            <legend class="slds-form-element__legend slds-form-element__label strong text" style="font-size: 16px;">
                <abbr class="slds-required" title="required">*</abbr>First Name</legend>
            <lightning-input
                type="search"
                data-id="first"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="First Name"
                value={firstName}
                variant="label-hidden"
                pattern="^([^0-9]*)$"
                message-when-pattern-mismatch="Patient First Name and Last Name cannot include a number"
                message-when-value-missing="First Name is required"
                required name="First Name"
            ></lightning-input>
            <legend class="slds-form-element__legend slds-form-element__label strong text" style="font-size: 16px;">
                <abbr class="slds-required" title="required">*</abbr>Last Name</legend>
            <lightning-input
                type="search"
                data-id="last"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="Last Name"
                value={lastName}
                variant="label-hidden"
                pattern="^([^0-9]*)$"
                message-when-pattern-mismatch="Patient First Name and Last Name cannot include a number"
                message-when-value-missing="Last Name is required"
                required name="Last Name"
            ></lightning-input>
            <!--<legend class="slds-form-element__legend slds-form-element__label strong text" style="font-size: 16px;">Suffix</legend>
            <lightning-combobox
            name="suffix"
            data-id="suffix"
            label="Suffix"
            value={suffix}
            placeholder=""
            options={suffixOptions}
            onchange={handleTitleSuffixChange} 
            variant="label-hidden"
            ></lightning-combobox> -->
            <legend class="slds-form-element__legend slds-form-element__label strong text" style="font-size: 16px;">
            <abbr class="slds-required" title="required">*</abbr>Gender</legend>
            <lightning-combobox
                required name="Gender"
                data-id="gender"
                label="Gender"
                value={gender}
                placeholder="Select Gender"
                options={genderOptions}
                onchange={handleKeyChange} 
                message-when-value-missing="Gender is required"
                variant="label-hidden"
            ></lightning-combobox>      
            <c-ssn-entry
                ssn={ssn}
                onupdatessn={handleUpdateSSN}
            ></c-ssn-entry>      
            <lightning-accordion active-section-name="dup">
                <lightning-accordion-section name="dup" label="Possible duplicate matches identified below (in Salesforce and Maestro Care)">
                    <template if:true={accounts}>
                        <template for:each={accounts} for:item="a" class="slds-list_horizontal">
                            <c-new-record-tile
                                class="slds-show slds-is-relative border slds-list_horizontal"
                                key={a.Id}
                                record={a}
                                onfoundrecord={handleFoundRecord}
                            ></c-new-record-tile>
                        </template>
                    </template>
                </lightning-accordion-section>
            </lightning-accordion>
        </div>
	</lightning-card>
    <template if:true={showModal}>
        <section
            role="dialog"
            tabindex="-1"
            aria-labelledby="modal-heading-01"
            aria-modal="true"
            aria-describedby="modal-content-id-1"
            class="slds-modal slds-fade-in-open"
        >
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <lightning-button-icon
                        class="slds-modal__close"
                        title="Close"
                        icon-name="utility:close"
                        icon-class="slds-button_icon-inverse"
                        onclick={handleDialogClose}
                    ></lightning-button-icon>

                    <template if:true={hasHeaderString}>
                        <h2
                            class="slds-text-heading_medium slds-hyphenate header-string"
                        >
                            {header}
                        </h2>
                    </template>
                    <template if:false={hasHeaderString}>
                        <!-- If you don't set the header public property, make sure to 
                            pass in some content into the header slot, so that the component
                            is accessible, as empty headings are considered not accessible. -->
                        <h2
                            class="slds-text-heading_medium slds-hyphenate header-slot"
                        >
                            <slot name="header"></slot>
                        </h2>
                    </template>

                    <p class="slds-m-top_x-small modal-hidden">
                        <slot
                            name="tagline"
                            onslotchange={handleSlotTaglineChange}
                        ></slot>
                    </p>
                </header>
                <div
                    class="slds-modal__content slds-p-around_medium"
                    id="modal-content-id-1"
                >
                    <slot></slot>
                </div>

                <footer class="slds-modal__footer modal-hidden">
                    <slot
                        name="footer"
                        onslotchange={handleSlotFooterChange}
                    ></slot>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>

</template>